{*******************************************************}
{       GranPrimo Component Library                     }
{       Debug and control application via web           }
{                                                       }
{       Copyright (c) 2001-2002 Antonio Alczar Ruiz    }
{*******************************************************}

unit primo;

interface

uses Windows,
        Controls, StdCtrls, Graphics,
        ComCtrls, Classes,forms,SysUtils,
        misock3, ExtCtrls
        ;

 type
 TAcercaDelGranPrimo = class(TForm)
    PControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet3: TTabSheet;
    P2: TPanel;
    M: TMemo;
    L3: TLabel;
    PortEdi: TEdit;
    L2: TLabel;
    EdHtmlMai: TEdit;
    StartButton: TButton;
    StopButton: TButton;
    B1: TButton;
    B2: TButton;
    Time: TTimer;
    Meip: TMemo;
    Edpas: TEdit;
    L5: TLabel;
    B3: TButton;
    Edmaxlines: TEdit;
    Image: TImage;
    l1: TLabel;
    l11: TLabel;
    GranPrimo1: TGranPrimo;
    procedure StartButtonClick(Sender: TObject);
    procedure B1Click(Sender: TObject);

    procedure StopButtonClick(Sender: TObject);
    procedure HttpServeEco(const cadena: String);
    procedure FormActivate(Sender: TObject);
    procedure FormCreate(Sender: TObject);


    procedure B2Click(Sender: TObject);
    procedure TimeTimer(Sender: TObject);


    procedure B3Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);

  private

    procedure Atender;
    procedure TestStatus;
    procedure Error_(Sender: TObject; E: Exception);
    procedure Log_(ss: array  of const );

  end;



implementation

uses jpeg;

{$R *.DFM}

procedure TAcercaDelGranPrimo.Atender;
begin
    granprimo1.Active:=false;
    granprimo1.home:=EdHtmlMai.text;
    granprimo1.password:=Edpas.Text;
    granprimo1.Port        := valorint_(PortEdi.Text);
    granprimo1.Active:=true;
    TestStatus;
end;


procedure TAcercaDelGranPrimo.StartButtonClick(Sender: TObject);
begin
  Atender;
end;


procedure TAcercaDelGranPrimo.B1Click(Sender: TObject);
begin
  hide;
end;


procedure TAcercaDelGranPrimo.StopButtonClick(Sender: TObject);
begin
    granprimo1.active:=false;
    TestStatus
end;

procedure TAcercaDelGranPrimo.TestStatus;
begin
    EdHtmlMai.enabled:= not granprimo1.active;
    Edpas.enabled:= not granprimo1.active;

    PortEdi.Enabled       := not granprimo1.active;
    StartButton.Enabled    := not granprimo1.active;
    StopButton.Enabled     := granprimo1.active;
end;

procedure TAcercaDelGranPrimo.HttpServeEco(const cadena: String);
begin
  log_([cadena]);
end;


procedure TAcercaDelGranPrimo.FormActivate(Sender: TObject);
begin
     Application.OnException:=error_;
end;

procedure TAcercaDelGranPrimo.Error_(Sender: TObject; E: Exception);
begin
end;


procedure TAcercaDelGranPrimo.FormCreate(Sender: TObject);
begin
 GranPrimo1.image:= image;

end;

procedure TAcercaDelGranPrimo.B2Click(Sender: TObject);
begin
  meip.Lines.Clear;
  meip.Lines.AddStrings( granprimo1.LocalAddresses);
end;


procedure TAcercaDelGranPrimo.TimeTimer(Sender: TObject);
begin
  time.Enabled:=false;
  Atender;
end;


procedure TAcercaDelGranPrimo.B3Click(Sender: TObject);
begin
  m.clear;
end;


procedure TAcercaDelGranPrimo.Log_(ss: array  of const );
begin
   if m.lines.Count>valorint_ (Edmaxlines.Text) then
      m.clear;
   M.Lines.Add(cadenadevalores(ss));
end;


procedure TAcercaDelGranPrimo.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
   StopButtonClick(Sender);
   action:=cafree;
end;




end.

